Package org.eclipse.lemminx.extensions.filepath

## Class SimpleFilePathExpression

- java.lang.Object
- - org.eclipse.lemminx.extensions.filepath.SimpleFilePathExpression

All Implemented Interfaces:
  `IFilePathExpression`

Direct Known Subclasses:
  `FilePathExpression`

    public class SimpleFilePathExpression
    extends Object
    implements IFilePathExpression

Basic implementation of the `IFilePathExpression`.

### Constructor Summary

Constructors
`SimpleFilePathExpression()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `acceptFile​(Path path)`
`boolean` `acceptPath​(Path path)` Returns true if given file path is allowed for the file path completion and false otherwise.
`Character` `getSeparator()` Returns the separator character (ex: ';') used to separate multiple files declaration (ex: file1.xml;file2.xml) and null otherwise.
`boolean` `match​(Node node)` Returns true if the given DOM node matches the file path expression and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleFilePathExpression

    public SimpleFilePathExpression()

### Method Detail

#### match

    public boolean match​(Node node)

Description copied from interface: `IFilePathExpression`
Returns true if the given DOM node matches the file path expression and false otherwise.

Specified by:
  `match` in interface `IFilePathExpression`
Parameters:
  `node` - the DOM node.
Returns:
  true if the given DOM node matches the file path expression and false otherwise.

#### getSeparator

    public Character getSeparator()

Description copied from interface: `IFilePathExpression`
Returns the separator character (ex: ';') used to separate multiple files declaration (ex: file1.xml;file2.xml) and null otherwise.

Specified by:
  `getSeparator` in interface `IFilePathExpression`
Returns:
  the separator character (ex: ';') used to separate multiple files declaration (ex: file1.xml;file2.xml) and null otherwise.

#### acceptPath

    public boolean acceptPath​(Path path)

Description copied from interface: `IFilePathExpression`
Returns true if given file path is allowed for the file path completion and false otherwise.

Specified by:
  `acceptPath` in interface `IFilePathExpression`
Parameters:
  `path` - the file path.
Returns:
  true if given file path is allowed for the file path completion and false otherwise.

#### acceptFile

    protected boolean acceptFile​(Path path)